# Tusk

A modern terminal-based Markdown editor with real-time preview and Git integration.

![Version](https://img.shields.io/badge/version-0.1.0-blue)
![Python](https://img.shields.io/badge/python-3.10+-blue)
![License](https://img.shields.io/badge/license-MIT-green)

## Features

- Real-time Markdown preview
- Auto-completion for Markdown syntax
- Auto-save functionality
- Multiple theme support
- Adjustable split-view layout
- Table of Contents generation
- Export to HTML, PDF, and DOCX
- Command palette

## Installation

### Via pip
```bash
pip install tusk-editor
```

### From source

```bash
git clone https://github.com/vedant-asati03/tusk.git
cd tusk
pip install -e .
```

## Usage

To start the editor:
```bash
tusk filename.md
```

### Key Bindings

- `Ctrl+S`: Save file
- `Ctrl+Q`: Quit
- `Ctrl+P`: Open command palette
- `Ctrl+B`: Toggle sidebar
- `Ctrl+/`: Toggle preview

## Contributing
Feel free to contribute by forking the repo and submitting a pull request! 🚀

## License

This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.